# Generated by Django 4.0.4 on 2022-05-06 19:05

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Contract',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True, null=True, verbose_name='Date création')),
                ('updated', models.DateTimeField(auto_now=True, null=True)),
                ('status', models.BooleanField(default=False, verbose_name='Statut')),
                ('amount', models.FloatField(default=1000)),
                ('payment_due', models.DateTimeField(auto_now_add=True, null=True)),
            ],
            options={
                'verbose_name': 'Contrat',
                'verbose_name_plural': 'Contrats',
            },
        ),
        migrations.CreateModel(
            name='User_client',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('first_name', models.CharField(max_length=50)),
                ('last_name', models.CharField(max_length=50)),
                ('email', models.EmailField(max_length=254)),
                ('phone', models.CharField(blank=True, max_length=16, null=True)),
                ('company_name', models.CharField(max_length=250)),
                ('created', models.DateTimeField(auto_now_add=True, null=True)),
                ('updated', models.DateTimeField(auto_now=True, null=True)),
                ('potential_client', models.BooleanField(default=True, verbose_name='Potentiel client')),
                ('sale_contact', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL, verbose_name='Equipe vente')),
            ],
            options={
                'verbose_name': 'Client',
                'verbose_name_plural': 'Clients',
            },
        ),
        migrations.CreateModel(
            name='Event',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True, null=True, verbose_name='Date création')),
                ('updated', models.DateTimeField(auto_now=True, null=True)),
                ('events_status', models.CharField(choices=[('début', 'Début'), ('en cours', 'En cours'), ('terminé', 'Terminé')], default='début', max_length=25, verbose_name='Statut')),
                ('attendees', models.IntegerField(help_text="choisir le nombre d'inviter", verbose_name='Invitées')),
                ('event_date', models.DateTimeField(auto_now_add=True, null=True)),
                ('notes', models.TextField(blank=True, max_length=300, null=True)),
                ('contact_support', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
                ('contract', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='contrat', to='api.contract')),
                ('user_client', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='api.user_client')),
            ],
            options={
                'verbose_name': 'Evenement',
                'verbose_name_plural': 'Evenements',
            },
        ),
        migrations.AddField(
            model_name='contract',
            name='event',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='Evenement', to='api.event'),
        ),
        migrations.AddField(
            model_name='contract',
            name='sale_contact',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL, verbose_name='Equipe vente'),
        ),
        migrations.AddField(
            model_name='contract',
            name='user_client',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='api.user_client'),
        ),
    ]
